Bug 1002004 - ksh subshell exits with 'open file limit exceeded'
ksh subshell exits with 'open file limit exceeded'
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ksh (Show other bugs)
6.4
x86_64 All
unspecified Severity unspecified
: rc
: ---
Assigned To: Siteshwar Vashisht
BaseOS QE - Apps
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-28 06:01 EDT by hgruber
Modified: 2017-06-13 04:01 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
The Problem occurs in an OpenVZ container with RHEL 6 running on a RHEL 5 hardware node. The problem does not occur on an RHEL 6 hardware node or on an OpenVZ container with RHEL 6 running on a RHEL 6 hardware node. It's getting complicated now.
Last Closed: 2017-06-13 04:01:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description hgruber 2013-08-28 06:01:58 EDT
A subshell exits with 'open file limit exceeded'.

Problem occurs in:         ksh-20100621-19.el6_4.4.x86_64
Problem does not occur in: ksh-20100621-16.el6.x86_64

Steps to Reproduce:
$ echo `echo $var|cut -c1`
cut: write error: Bad file descriptor
ksh: open file limit exceeded [Bad file descriptor]

Additional info: This could be related to Bug #781498
Comment 2 RHEL Product and Program Management 2013-10-13 22:31:38 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Note You need to log in before you can comment on or make changes to this bug.